package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.InterestsNumberTableMapper;
import com.ruoyi.system.domain.InterestsNumberTable;
import com.ruoyi.system.service.IInterestsNumberTableService;

/**
 * 商户权益次数记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-07-08
 */
@Service
public class InterestsNumberTableServiceImpl implements IInterestsNumberTableService 
{
    @Autowired
    private InterestsNumberTableMapper interestsNumberTableMapper;

    /**
     * 查询商户权益次数记录
     * 
     * @param id 商户权益次数记录主键
     * @return 商户权益次数记录
     */
    @Override
    public InterestsNumberTable selectInterestsNumberTableById(Long id)
    {
        return interestsNumberTableMapper.selectInterestsNumberTableById(id);
    }

    /**
     * 查询商户权益次数记录列表
     * 
     * @param interestsNumberTable 商户权益次数记录
     * @return 商户权益次数记录
     */
    @Override
    public List<InterestsNumberTable> selectInterestsNumberTableList(InterestsNumberTable interestsNumberTable)
    {
        return interestsNumberTableMapper.selectInterestsNumberTableList(interestsNumberTable);
    }

    /**
     * 新增商户权益次数记录
     * 
     * @param interestsNumberTable 商户权益次数记录
     * @return 结果
     */
    @Override
    public int insertInterestsNumberTable(InterestsNumberTable interestsNumberTable)
    {
        return interestsNumberTableMapper.insertInterestsNumberTable(interestsNumberTable);
    }

    /**
     * 修改商户权益次数记录
     * 
     * @param interestsNumberTable 商户权益次数记录
     * @return 结果
     */
    @Override
    public int updateInterestsNumberTable(InterestsNumberTable interestsNumberTable)
    {
        return interestsNumberTableMapper.updateInterestsNumberTable(interestsNumberTable);
    }

    /**
     * 批量删除商户权益次数记录
     * 
     * @param ids 需要删除的商户权益次数记录主键
     * @return 结果
     */
    @Override
    public int deleteInterestsNumberTableByIds(Long[] ids)
    {
        return interestsNumberTableMapper.deleteInterestsNumberTableByIds(ids);
    }

    /**
     * 删除商户权益次数记录信息
     * 
     * @param id 商户权益次数记录主键
     * @return 结果
     */
    @Override
    public int deleteInterestsNumberTableById(Long id)
    {
        return interestsNumberTableMapper.deleteInterestsNumberTableById(id);
    }
}
